package cn.hmsoft.weixin.data.dao;

import java.time.LocalDateTime;

import org.springframework.stereotype.Component;

import cn.hmsoft.jdbc.core.PlatformDaoSupport;
import cn.hmsoft.weixin.data.model.WxTemplateLog;

@Component
public class WxTemplateLogDao extends PlatformDaoSupport<WxTemplateLog>{

	public WxTemplateLog logTemplate(WxTemplateLog log){
		if(log.getLog_time()==null)
			log.setLog_time(LocalDateTime.now());
		this.insert(log);
		return log;
	}
}
